Index: main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/batching.py
===================================================================
--- main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/batching.py	(revision 12460)
+++ main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/batching.py	(revision 12484)
@@ -26,5 +26,5 @@
     IPCNCustomerJPGDocument,
     IPCNCustomerPDFDocument,
-    IPCNLicenseContract)
+    IRONContract)
 from ikobacustom.pcn.interfaces import MessageFactory as _
 
@@ -57,10 +57,10 @@
     factory_name = 'waeup.PCNCustomerPDFDocument'
 
-class PCNLicenseContractProcessor(ContractProcessorBase):
-    """A batch processor for IPCNLicenseContract objects.
+class RONContractProcessor(ContractProcessorBase):
+    """A batch processor for IRONContract objects.
     """
-    util_name = 'pcnlicensecontractprocessor'
+    util_name = 'roncontractprocessor'
     grok.name(util_name)
     name = _('PCN Customer Contract Processor')
-    iface = IPCNLicenseContract
-    factory_name = 'waeup.PCNLicenseContract'
+    iface = IRONContract
+    factory_name = 'waeup.RONContract'
Index: main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/contracts.py
===================================================================
--- main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/contracts.py	(revision 12460)
+++ main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/contracts.py	(revision 12484)
@@ -28,40 +28,40 @@
 from ikobacustom.pcn.interfaces import MessageFactory as _
 from ikobacustom.pcn.customers.interfaces import (
-    IPCNLicenseContract, IPCNLicenseContractEdit, IPCNLicenseContractProcess)
+    IRONContract, IRONContractEdit, IRONContractProcess)
 
 
-class PCNLicenseContract(ContractBase):
+class RONContract(ContractBase):
     """This is a sample contract.
     """
 
     grok.implements(
-        IPCNLicenseContractProcess,
-        IPCNLicenseContract,
-        IPCNLicenseContractEdit,
+        IRONContractProcess,
+        IRONContract,
+        IRONContractEdit,
         ICustomerNavigation)
 
     contract_category = 'license'
 
-    form_fields_interface = IPCNLicenseContract
+    form_fields_interface = IRONContract
 
-    edit_form_fields_interface = IPCNLicenseContractEdit
+    edit_form_fields_interface = IRONContractEdit
 
-    check_docs_interface = IPCNLicenseContract
+    check_docs_interface = IRONContract
 
-PCNLicenseContract = attrs_to_fields(PCNLicenseContract)
+RONContract = attrs_to_fields(RONContract)
 
 
 # Contracts must be importable. So we might need a factory.
-class PCNLicenseContractFactory(grok.GlobalUtility):
+class RONContractFactory(grok.GlobalUtility):
     """A factory for contracts.
     """
     grok.implements(IFactory)
-    grok.name(u'waeup.PCNLicenseContract')
+    grok.name(u'waeup.RONContract')
     title = u"Create a new license contract.",
     description = u"This factory instantiates new license contract instances."
 
     def __call__(self, *args, **kw):
-        return PCNLicenseContract(*args, **kw)
+        return RONContract(*args, **kw)
 
     def getInterfaces(self):
-        return implementedBy(PCNLicenseContract)
+        return implementedBy(RONContract)
Index: main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/export.py
===================================================================
--- main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/export.py	(revision 12460)
+++ main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/export.py	(revision 12484)
@@ -23,5 +23,5 @@
 from ikobacustom.pcn.customers.interfaces import (
     IPCNCustomer, IPCNCustomerJPGDocument,
-    IPCNCustomerPDFDocument, IPCNLicenseContract)
+    IPCNCustomerPDFDocument, IRONContract)
 from ikobacustom.pcn.interfaces import MessageFactory as _
 
@@ -50,9 +50,9 @@
 
 
-class PCNLicenseContractExporter(ContractExporterBase):
+class RONContractExporter(ContractExporterBase):
     """Exporter for Contract instances.
     """
-    grok.name('pcnlicensecontracts')
-    iface = IPCNLicenseContract
+    grok.name('roncontracts')
+    iface = IRONContract
     title = _(u'PCN Customer License Contracts')
-    class_name = 'PCNLicenseContract'
+    class_name = 'RONContract'
Index: main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/interfaces.py
===================================================================
--- main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/interfaces.py	(revision 12460)
+++ main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/interfaces.py	(revision 12484)
@@ -46,16 +46,16 @@
 # Customer contract interfaces
 
-class IPCNLicenseContract(IContract):
+class IRONContract(IContract):
     """A customer contract sample with document attached.
 
     """
 
-    document_object = schema.Choice(
-        title = _(u'Document'),
-        source = CustomerDocumentSource(),
-        required = False,
-        )
+    #document_object = schema.Choice(
+    #    title = _(u'Document'),
+    #    source = CustomerDocumentSource(),
+    #    required = False,
+    #    )
 
-class IPCNLicenseContractProcess(IPCNLicenseContract):
+class IRONContractProcess(IRONContract):
     """Interface for processing contract data.
     """
@@ -69,5 +69,5 @@
         )
 
-class IPCNLicenseContractEdit(IPCNLicenseContract):
+class IRONContractEdit(IRONContract):
     """Interface for editing sample contract data by customers.
 
@@ -80,7 +80,7 @@
         )
 
-    document_object = schema.Choice(
-        title = _(u'Document'),
-        source = CustomerDocumentSource(),
-        required = True,
-        )
+    #document_object = schema.Choice(
+    #    title = _(u'Document'),
+    #    source = CustomerDocumentSource(),
+    #    required = True,
+    #    )
Index: main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/tests/test_browser.py
===================================================================
--- main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/tests/test_browser.py	(revision 12460)
+++ main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/tests/test_browser.py	(revision 12484)
@@ -34,10 +34,10 @@
     PCNCustomerPDFDocumentExporter,
     PCNCustomerJPGDocumentExporter,
-    PCNLicenseContractExporter)
+    RONContractExporter)
 from ikobacustom.pcn.customers.batching import (
     PCNCustomerProcessor,
     PCNCustomerPDFDocumentProcessor,
     PCNCustomerJPGDocumentProcessor,
-    PCNLicenseContractProcessor)
+    RONContractProcessor)
 from ikobacustom.pcn.testing import FunctionalLayer, samples_dir
 
@@ -68,5 +68,5 @@
         customer['documents'].addDocument(document1)
         customer['documents'].addDocument(document2)
-        contract = createObject(u'waeup.PCNLicenseContract')
+        contract = createObject(u'waeup.RONContract')
         contract.tc_dict = {'en':u'Hello World'}
         customer['contracts'].addContract(contract)
@@ -210,5 +210,5 @@
         # set values we can expect in export file
         self.setup_for_export()
-        exporter = PCNLicenseContractExporter()
+        exporter = RONContractExporter()
         exporter.export_all(self.app, self.outfile)
         result = open(self.outfile, 'rb').read()
@@ -217,15 +217,15 @@
             'history,last_product_id,product_object,product_options,'
             'state,tc_dict,title,user_id\r\n'
-            'PCNLicenseContract,license,%s,,'
+            'RONContract,license,%s,,'
             '[u\'2014-12-21 22:26:00 WAT - Contract created by system\']'
             ',,,[],created,{\'en\': u\'Hello World\'},,K1000000\r\n'
             % self.contract.contract_id)
         # We can reimport the file if we change the header (user_id -> customer_id)
-        processor = PCNLicenseContractProcessor()
+        processor = RONContractProcessor()
         open(self.outfile, 'wb').write(
             'class_name,contract_category,contract_id,document_object,'
             'history,last_product_id,product_object,product_options,'
             'state,tc_dict,title,user_id\r\n'
-            'PCNLicenseContract,license,%s,,'
+            'RONContract,license,%s,,'
             '[u\'2014-12-21 22:26:00 WAT - Contract created by system\']'
             ',,,[],created,{\'en\': u\'Hello World\'},,K1000000\r\n'
@@ -270,5 +270,5 @@
         self._contract_category = u'license'
         self._document_factory = 'waeup.PCNCustomerPDFDocument'
-        self._contract_factory = 'waeup.PCNLicenseContract'
+        self._contract_factory = 'waeup.RONContract'
         return
 
@@ -326,5 +326,5 @@
         self._contract_category = u'license'
         self._document_factory = 'waeup.PCNCustomerPDFDocument'
-        self._contract_factory = 'waeup.PCNLicenseContract'
+        self._contract_factory = 'waeup.RONContract'
         return
 
Index: main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/tests/test_contract.py
===================================================================
--- main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/tests/test_contract.py	(revision 12460)
+++ main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/tests/test_contract.py	(revision 12484)
@@ -29,6 +29,6 @@
 
 from ikobacustom.pcn.testing import (FunctionalLayer, FunctionalTestCase)
-from ikobacustom.pcn.customers.contracts import PCNLicenseContract
-from ikobacustom.pcn.customers.interfaces import IPCNLicenseContract
+from ikobacustom.pcn.customers.contracts import RONContract
+from ikobacustom.pcn.customers.interfaces import IRONContract
 
 
@@ -38,17 +38,17 @@
 
     def test_interfaces(self):
-        verify.verifyClass(IPCNLicenseContract, PCNLicenseContract)
-        verify.verifyClass(ICustomerNavigation, PCNLicenseContract)
-        verify.verifyObject(IPCNLicenseContract, PCNLicenseContract())
-        verify.verifyObject(ICustomerNavigation, PCNLicenseContract())
+        verify.verifyClass(IRONContract, RONContract)
+        verify.verifyClass(ICustomerNavigation, RONContract)
+        verify.verifyObject(IRONContract, RONContract())
+        verify.verifyObject(ICustomerNavigation, RONContract())
         return
 
     def test_addContract(self):
         container = ContractsContainer()
-        contract = createObject(u'waeup.PCNLicenseContract')
+        contract = createObject(u'waeup.RONContract')
         id = contract.contract_id
         container.addContract(contract)
         self.assertEqual(container[id], contract)
         self.assertRaises(TypeError, container.addContract, object())
-        self.assertEqual(contract.class_name, 'PCNLicenseContract')
+        self.assertEqual(contract.class_name, 'RONContract')
         return
Index: main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/utils.py
===================================================================
--- main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/utils.py	(revision 12460)
+++ main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/utils.py	(revision 12484)
@@ -54,5 +54,5 @@
         #'SampleContract': _('Sample Contract'),
 
-        'PCNLicenseContract': _('PCN License Contract'),
+        'RONContract': _('Retention Of Name'),
         }
 
@@ -65,3 +65,3 @@
         'pcncustomerjpgdocuments',
         'pcncustomerpdfdocuments',
-        'pcnlicensecontracts')
+        'roncontracts')
Index: main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/utils/utils.py
===================================================================
--- main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/utils/utils.py	(revision 12460)
+++ main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/utils/utils.py	(revision 12484)
@@ -68,5 +68,5 @@
         'pcncustomerjpgdocuments',
         'pcncustomerpdfdocuments',
-        'pcnlicensecontracts')
+        'roncontracts')
 
     BATCH_PROCESSOR_NAMES = (
@@ -74,5 +74,5 @@
         'pcncustomerjpgdocumentprocessor',
         'pcncustomerpdfdocumentprocessor',
-        'pcnlicensecontractprocessor',
+        'roncontractprocessor',
         'pcnproductprocessor',
         'pdfdocumentprocessor',