Index: main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/contracts.py
===================================================================
--- main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/contracts.py	(revision 12487)
+++ main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/contracts.py	(revision 12488)
@@ -41,5 +41,5 @@
         ICustomerNavigation)
 
-    contract_category = 'license'
+    contract_category = 'ron'
 
     form_fields_interface = IRONContract
Index: main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/interfaces.py
===================================================================
--- main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/interfaces.py	(revision 12487)
+++ main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/interfaces.py	(revision 12488)
@@ -144,10 +144,4 @@
     """
 
-    product_object = schema.Choice(
-        title = _(u'Product'),
-        source = ConCatProductSource(),
-        required = True,
-        )
-
     #document_object = schema.Choice(
     #    title = _(u'Document'),
Index: main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/tests/test_browser.py
===================================================================
--- main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/tests/test_browser.py	(revision 12487)
+++ main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/tests/test_browser.py	(revision 12488)
@@ -51,5 +51,5 @@
 
     def setup_customizable_params(self):
-        self._contract_category = u'license'
+        self._contract_category = u'ron'
         return
 
@@ -214,12 +214,15 @@
         result = open(self.outfile, 'rb').read()
         self.assertMatches(result,
-            'class_name,contract_category,contract_id,document_object,'
-            'history,last_product_id,product_object,product_options,'
-            'state,tc_dict,title,user_id\r\n'
-            'RONContract,license,%s,,'
-            '[u\'2014-12-21 22:26:00 WAT - Contract created by system\']'
-            ',,,[],created,{\'en\': u\'Hello World\'},,K1000000\r\n'
+            'category_practice,class_name,contract_category,contract_id,'
+            'date_of_birth,history,last_product_id,lga,product_object,'
+            'product_options,res_address,state,state_of_origin,superintendent,'
+            'tc_dict,title,user_id,work_address,work_email,work_phone,'
+            'year_qualification\r\n'
+            ',RONContract,ron,%s,,'
+            '[u\'2015-01-18 16:40:01 WAT - Contract created by system\'],,,,'
+            '[],,created,,,{\'en\': u\'Hello World\'},,K1000000,,,,\r\n'
             % self.contract.contract_id)
-        # We can reimport the file if we change the header (user_id -> customer_id)
+        # We can reimport the file if we change the header
+        # (user_id -> customer_id). Not all columns are necessary.
         processor = RONContractProcessor()
         open(self.outfile, 'wb').write(
@@ -268,5 +271,5 @@
 
     def setup_customizable_params(self):
-        self._contract_category = u'license'
+        self._contract_category = u'ron'
         self._document_factory = 'waeup.PCNCustomerPDFDocument'
         self._contract_factory = 'waeup.RONContract'
@@ -324,5 +327,5 @@
 
     def setup_customizable_params(self):
-        self._contract_category = u'license'
+        self._contract_category = u'ron'
         self._document_factory = 'waeup.PCNCustomerPDFDocument'
         self._contract_factory = 'waeup.RONContract'
Index: main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/utils.py
===================================================================
--- main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/utils.py	(revision 12487)
+++ main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/utils.py	(revision 12488)
@@ -54,5 +54,5 @@
         #'SampleContract': _('Sample Contract'),
 
-        'RONContract': _('Retention Of Name'),
+        'RONContract': _('Retention of Name'),
         }
 
Index: main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/products/tests/test_browser.py
===================================================================
--- main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/products/tests/test_browser.py	(revision 12487)
+++ main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/products/tests/test_browser.py	(revision 12488)
@@ -39,5 +39,6 @@
     def setup_for_export(self):
         product = PCNProduct()
-        product.product_id = u'LIC'
+        product.product_id = u'RON'
+        product.contract_category = u'ron'
         product.valid_from = datetime.date(2015, 12, 4)
         self.app['products'][product.product_id] = self.product = product
@@ -54,6 +55,7 @@
         self.assertEqual(result,
             'contract_category,contract_title,options,'
-            'product_id,terms_and_conditions,title,valid_from,valid_to,users_with_local_roles\r\n'
-            'license,,[],LIC,,Unnamed,2015-12-04#,,[]\r\n')
+            'product_id,terms_and_conditions,title,valid_from,valid_to,'
+            'users_with_local_roles\r\n'
+            'ron,,[],RON,,Unnamed,2015-12-04#,,[]\r\n')
         # We can import the same file.
         processor = PCNProductProcessor()
@@ -61,5 +63,6 @@
             self.outfile,
             ['contract_category','contract_title', 'options,', 'product_id',
-            'terms_and_conditions','title','valid_from','valid_to','users_with_local_roles'],
+            'terms_and_conditions','title','valid_from','valid_to',
+            'users_with_local_roles'],
             mode='create')
         num, num_fail, finished_path, failed_path = result
@@ -68,9 +71,10 @@
         self.assertEqual(num_fail,1)
         # We remove the original product.
-        del self.app['products']['LIC']
+        del self.app['products']['RON']
         result = processor.doImport(
             self.outfile,
             ['contract_category','contract_title', 'options,', 'product_id',
-            'terms_and_conditions','title','valid_from','valid_to','users_with_local_roles'],
+            'terms_and_conditions','title','valid_from','valid_to',
+            'users_with_local_roles'],
             mode='create')
         num, num_fail, finished_path, failed_path = result
@@ -81,5 +85,6 @@
             self.outfile,
             ['contract_category','contract_title', 'options,', 'product_id',
-            'terms_and_conditions','title','valid_from','valid_to','users_with_local_roles'],
+            'terms_and_conditions','title','valid_from','valid_to',
+            'users_with_local_roles'],
             mode='update')
         num, num_fail, finished_path, failed_path = result
Index: main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/utils/utils.py
===================================================================
--- main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/utils/utils.py	(revision 12487)
+++ main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/utils/utils.py	(revision 12488)
@@ -46,5 +46,5 @@
 
     CON_CATS_DICT = {
-        'license': 'License',
+        'ron': 'Retention of Name',
         'no': 'no contract',
         }