Index: /main/ikobacustom.skeleton/trunk/src/ikobacustom/skeleton/customers/browser.py
===================================================================
--- /main/ikobacustom.skeleton/trunk/src/ikobacustom/skeleton/customers/browser.py	(revision 12502)
+++ /main/ikobacustom.skeleton/trunk/src/ikobacustom/skeleton/customers/browser.py	(revision 12502)
@@ -0,0 +1,31 @@
+## $Id$
+##
+## Copyright (C) 2015 Uli Fouquet & Henrik Bettermann
+## This program is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+##
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+## GNU General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with this program; if not, write to the Free Software
+## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+##
+
+from zope.component import getUtility
+from waeup.ikoba.interfaces import IIkobaUtils
+from waeup.ikoba.customers.browser import PDFContractSlipPage
+from ikobacustom.skeleton.interfaces import MessageFactory as _
+
+class PDFContractSlipPage(PDFContractSlipPage):
+    """Deliver pdf file including metadata.
+    """
+
+    @property
+    def label(self):
+        portal_language = getUtility(IIkobaUtils).PORTAL_LANGUAGE
+        return self.context.title
Index: /main/ikobacustom.skeleton/trunk/src/ikobacustom/skeleton/customers/contracts.py
===================================================================
--- /main/ikobacustom.skeleton/trunk/src/ikobacustom/skeleton/customers/contracts.py	(revision 12501)
+++ /main/ikobacustom.skeleton/trunk/src/ikobacustom/skeleton/customers/contracts.py	(revision 12502)
@@ -28,5 +28,6 @@
 from ikobacustom.skeleton.interfaces import MessageFactory as _
 from ikobacustom.skeleton.customers.interfaces import (
-    ISkeletonContract, ISkeletonContractEdit, ISkeletonContractProcess)
+    ISkeletonContract, ISkeletonContractEdit, ISkeletonContractProcess,
+    ISkeletonContractOfficialUse)
 
 
@@ -46,4 +47,6 @@
 
     edit_form_fields_interface = ISkeletonContractEdit
+
+    ou_form_fields_interface = ISkeletonContractOfficialUse
 
     check_docs_interface = ISkeletonContract
Index: /main/ikobacustom.skeleton/trunk/src/ikobacustom/skeleton/customers/export.py
===================================================================
--- /main/ikobacustom.skeleton/trunk/src/ikobacustom/skeleton/customers/export.py	(revision 12501)
+++ /main/ikobacustom.skeleton/trunk/src/ikobacustom/skeleton/customers/export.py	(revision 12502)
@@ -22,5 +22,5 @@
     CustomerExporter, CustomerDocumentExporterBase, ContractExporterBase)
 from ikobacustom.skeleton.customers.interfaces import (
-    ISkeletonCustomer, ISkeletonCustomerDocument, ISkeletonContract)
+    ISkeletonCustomer, ISkeletonCustomerDocument, ISkeletonContractProcess)
 from ikobacustom.skeleton.interfaces import MessageFactory as _
 
@@ -45,5 +45,5 @@
     """
     grok.name('skeletoncontracts')
-    iface = ISkeletonContract
+    iface = ISkeletonContractProcess
     title = _(u'Skeleton Customer Contracts')
     class_name = 'SkeletonContract'
Index: /main/ikobacustom.skeleton/trunk/src/ikobacustom/skeleton/customers/interfaces.py
===================================================================
--- /main/ikobacustom.skeleton/trunk/src/ikobacustom/skeleton/customers/interfaces.py	(revision 12501)
+++ /main/ikobacustom.skeleton/trunk/src/ikobacustom/skeleton/customers/interfaces.py	(revision 12502)
@@ -18,4 +18,5 @@
 
 from zope import schema
+from waeup.ikoba.interfaces import IIkobaObject
 from waeup.ikoba.customers.interfaces import (
     ICustomer, ICustomerDocument, IContract)
@@ -52,5 +53,15 @@
         )
 
-class ISkeletonContractProcess(ISkeletonContract):
+class ISkeletonContractOfficialUse(IIkobaObject):
+    """Interface for editing official use data.
+
+    """
+
+    comment = schema.Text(
+        title= _('Reason for rejection'),
+        required = False,
+        )
+
+class ISkeletonContractProcess(ISkeletonContract, ISkeletonContractOfficialUse):
     """Interface for processing contract data.
     """
Index: /main/ikobacustom.skeleton/trunk/src/ikobacustom/skeleton/customers/tests/test_browser.py
===================================================================
--- /main/ikobacustom.skeleton/trunk/src/ikobacustom/skeleton/customers/tests/test_browser.py	(revision 12501)
+++ /main/ikobacustom.skeleton/trunk/src/ikobacustom/skeleton/customers/tests/test_browser.py	(revision 12502)
@@ -164,8 +164,8 @@
         result = open(self.outfile, 'rb').read()
         self.assertMatches(result,
-            'class_name,contract_category,contract_id,document_object,'
+            'class_name,comment,contract_category,contract_id,document_object,'
             'history,last_product_id,product_object,product_options,'
             'state,tc_dict,title,user_id\r\n'
-            'SkeletonContract,sample,%s,,'
+            'SkeletonContract,,sample,%s,,'
             '[u\'2014-12-21 22:26:00 WAT - Contract created by system\']'
             ',,,[],created,{\'en\': u\'Hello World\'},,K1000000\r\n'