Index: main/waeup.ikoba/trunk/README.txt
===================================================================
--- main/waeup.ikoba/trunk/README.txt	(revision 12517)
+++ main/waeup.ikoba/trunk/README.txt	(revision 12520)
@@ -37,26 +37,19 @@
 -------
 
-The main web application and container class is called 'Company' which corresponds to the University container in Kofa.
+The main web application and container class is called 'Company' which corresponds to the university container in Kofa. The company container contains sub-containers for products, public documents, customers and officers (regular users).
+
 
 Products
 --------
 
-Among others, a company includes a 'products' container which contains the products offered by the company. A product could be a license, a visa or any purchasable merchandise/article. In the base package a product has eight attributes:
-
-- unique product id,
-- title
-- contract title
-- contract_category
-- options (set of product options)
-- valid from
-- valid to
-- terms and conditions
+A company offers products usually for sale. A product could be a license, a visa or any purchasable merchandise/article. In the base package a product has eight attributes, unique product id, title, contract title, contract_category, options (set of product options), valid from, valid to, terms and conditions
 
 Products don't have a workflow.
+
 
 Public Documents
 ----------------
 
-Public documents, which are likewise put up in a 'documents' container, are meant for publishing content on the portal. There are three types of public documents:
+Public documents are meant for publishing content on the portal. There are three types of public documents:
 
 - PDF documents
@@ -64,12 +57,25 @@
 - REST documents
 
-The first can be used to provide pdf files for download. The second and third can be used to create multilingual static html pages on the portal. HTML documents expect html coded text as input, REST documents expect reRtructuredText which is transformed into html. Public documents have a publication workflow with two states: created and published. Only published documents can be seen by anonymous users.
+The first can be used to provide pdf files for download. The second and third can be used to create multilingual static html pages on the portal. HTML documents expect html coded text as input, REST documents expect reStructuredText which is transformed into html. Public documents have a publication workflow with two states: created and published. Only published documents can be seen by anonymous users.
+
+
+Officers
+--------
+
+Officers are regular users or principals of the system with a set of global and local roles which allows them to view or manage the various sections in Ikoba. In contrast to classical content management systems, officers do not manage their own space where they can add and edit own content. Ikoba officers can just access those parts of the portal which their roles or sets of permissions allow them to access.
+
+An officer has eight attributes: unique login name, title (fullname), public name, description, email address, phone number, set of roles, encrypted password
+
+Officers can't register themselves. They have to be added by the initial system administrator or by officers who have the permission to manage user data.
+
+Officers don't have a workflow.
+
 
 Customers
 ---------
 
-The company container also contains a 'customers' container which again contains all customers of the company. A customer object itself is also a container, containing all the documents and contracts owned by the customer. Beyond that, a customer is also an authenticated user of the system with a user account adapted to each customer object.
+The term 'customer' has two different meanings in Ikoba. On the one hand a customer is a container object which contains all the documents and contracts owned by a prospective or registered client or contractor of the company. On the other hand a customer is an authenticated users or principal of the system with a user account adapted to each customer container object.
 
-The attributes of a customer in the base package are: customer id, firstname, middlename, lastname, sex, email, phone and a unique registration number which can be set by the company.
+The attributes of a customer in the base package are: customer id, firstname, middlename, lastname, sex, email, phone, an encrypted password and a unique registration number which can be set by the company.
 
 Customers have a registration workflow with four states: created, started, requested and approved.
@@ -78,4 +84,7 @@
 
 Only approved customers can conclude contracts (see below).
+
+Customers can register themselves. They need a valid email address fo self-registration.
+
 
 Customer Documents
@@ -88,7 +97,10 @@
 Various document classes can be implemented and selected by the customer to make customization as flexible as possible.
 
-Verified documents cannot be edited or manipulated. The md5 checksum proves the genuineness of the uploaded file.
+Once a document has been submitted, it can no longer be edited by customers. Verified documents can neither be edited by customers nor by officers.
+
+The md5 checksum proves the genuineness of the uploaded file.
 
 A pdf document slip can be downloaded. The slip is composed of a covering page and the scanned document badged by a watermark.
+
 
 Contracts
@@ -105,5 +117,7 @@
 7. submitting the contract form for approval.
 
-Company officers verify the documents and finally approve the contract which means that the contract is concluded. The contract can also be rejected or expire.
+A customer has to register first but must not wait for approval before s/he can add contracts. Only after registration the customer can proceed to the contracts section and add, pay and submit contracts. If documents have to be uploaded and attached to the contract, these documents must be at least submitted for verification. Otherwise they cannot be attached. This ensures that documents can't be modified after application (= submission of contracts). Thus, a new customer can register, add and submit documents and then add, pay and submit contracts in just one single session.
+
+Company officers approve the customer registration request first, then verify the customer's documents and finally approve the contracts submitted by the customer. Approving a contract means that the contract is concluded. Contracts can also be rejected or expire.
 
 Each contract class belongs to a contract category. The contract category defines the subset of products which can be selected when configuring the contract (see Products section above).
@@ -111,5 +125,5 @@
 A contract in the base package has a title, a unique contract id, one document reference, one product reference and list of product options.  A customized contract can have several document references, but it can only refer to a single product offered by the company. The product options determine the fees to be paid before a contract can be concluded.
 
-A contract can only be submitted if all documents attached to the contract have been at least submitted for verification.
+A contract can only be submitted if all documents attached to the contract have been at least submitted for verification. Contracts can only be approved if the customer registration request has been approved and then all attached documents have been verified by an officer.
 
 The contract workflow has the following states: created, submitted, approved, rejected and expired.
Index: main/waeup.ikoba/trunk/src/waeup/ikoba/browser/interfaces.py
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/browser/interfaces.py	(revision 12517)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/browser/interfaces.py	(revision 12520)
@@ -173,5 +173,5 @@
         title = _(u'Unique Identifier'),
         description = _(
-            u'User Name, Customer Id, or '
+            u'User Name, Customer Id or '
             u'Registration Number'),
         required = True,
Index: main/waeup.ikoba/trunk/src/waeup/ikoba/browser/templates/changepw.pt
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/browser/templates/changepw.pt	(revision 12517)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/browser/templates/changepw.pt	(revision 12520)
@@ -16,5 +16,5 @@
     </tbody>
   </table>
-
+  <br />
   <p i18n:translate="email_address_problem">
     Enter the email address stored in Ikoba.