Index: main/waeup.ikoba/trunk/src/waeup/ikoba/browser/browser.txt
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/browser/browser.txt	(revision 12537)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/browser/browser.txt	(revision 12540)
@@ -77,5 +77,4 @@
   ...                               description='A forgetful user', email='aa@aa.ng')
   >>> browser.open('http://localhost/mycompany/changepw')
-  >>> browser.getControl(name="form.identifier").value = 'forgetful'
   >>> browser.getControl(name="form.email").value = 'aa@aa.ng'
   >>> browser.getControl("Send login credentials").click()
Index: main/waeup.ikoba/trunk/src/waeup/ikoba/browser/interfaces.py
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/browser/interfaces.py	(revision 12537)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/browser/interfaces.py	(revision 12540)
@@ -170,17 +170,9 @@
 
     """
-    identifier = schema.TextLine(
-        title = _(u'Unique Identifier'),
-        description = _(
-            u'User Name, Customer Id or '
-            u'Registration Number'),
-        required = True,
-        readonly = False,
-        )
-
     email = schema.ASCIILine(
         title = _(u'Email Address'),
         required = True,
         constraint=validate_email,
+        description = _('Enter your email address stored in Ikoba.')
         )
 
Index: main/waeup.ikoba/trunk/src/waeup/ikoba/browser/pages.py
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/browser/pages.py	(revision 12537)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/browser/pages.py	(revision 12540)
@@ -1522,18 +1522,18 @@
         return
 
-    def _searchUser(self, identifier, email):
+    def _searchUser(self, email):
         # Search customer
         cat = queryUtility(ICatalog, name='customers_catalog')
-        results = cat.searchResults(
-            reg_number=(identifier, identifier),
-            email=(email,email))
-        for result in results:
-            if result.customer_id == identifier \
-                or result.reg_number == identifier:
-                return result
+        results = list(cat.searchResults(email=(email,email)))
+        if len(results) == 1:
+            return results[0]
         # Search portal user
-        user = grok.getSite()['users'].get(identifier, None)
-        if user is not None and user.email == email:
-            return user
+        users = grok.getSite()['users'].values()
+        results = []
+        for user in users:
+            if user.email == email:
+                results.append(user)
+            if len(results) == 1:
+                return results[0]
         return None
 
@@ -1545,7 +1545,6 @@
             return
         # Search customer
-        identifier = data['identifier']
         email = data['email']
-        user = self._searchUser(identifier, email)
+        user = self._searchUser(email)
         if user is None:
             self.flash(_('No record found.'), type='warning')
@@ -1573,4 +1572,4 @@
         ob_class = self.__implemented__.__name__.replace('waeup.ikoba.','')
         self.context.logger.info(
-            '%s - %s - %s' % (ob_class, data['identifier'], data['email']))
-        return
+            '%s - %s - %s' % (ob_class, IUserAccount(user).name, data['email']))
+        return
Index: main/waeup.ikoba/trunk/src/waeup/ikoba/browser/templates/changepw.pt
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/browser/templates/changepw.pt	(revision 12537)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/browser/templates/changepw.pt	(revision 12540)
@@ -17,13 +17,4 @@
   </table>
   <br />
-  <p i18n:translate="email_address_problem">
-    Enter the email address stored in Ikoba.
-    You can't change your email address here.
-    If you've forgotten your email address or the email
-    address stored in Ikoba is wrong or no longer valid,
-    use the enquiries form to request a change
-    of address.
-  </p>
-  <br />
   <div tal:condition="view/availableActions">
     <input tal:repeat="action view/actions"
Index: main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/test_browser.py
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/test_browser.py	(revision 12537)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/test_browser.py	(revision 12540)
@@ -717,5 +717,4 @@
     def test_change_password_request(self):
         self.browser.open('http://localhost/app/changepw')
-        self.browser.getControl(name="form.identifier").value = '123'
         self.browser.getControl(name="form.email").value = 'aa@aa.ng'
         self.browser.getControl("Send login credentials").click()