Index: main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/locales/en/LC_MESSAGES/waeup.ikoba.po
===================================================================
--- main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/locales/en/LC_MESSAGES/waeup.ikoba.po	(revision 12371)
+++ main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/locales/en/LC_MESSAGES/waeup.ikoba.po	(revision 12543)
@@ -9,3 +9,193 @@
 "Content-Type: text/plain; charset=iso-8859-1\n"
 "Content-Transfer-Encoding: 8bit\n"
-
+"Language: en\n"
+"X-Generator: Poedit 1.6.5\n"
+
+#. Default: "You don't have an account because you are a new customer? Create your customer account <strong><a href=\"createaccount\"> here</a></strong>."
+#: waeup/ikoba/browser/templates/loginpage.pt:29
+#: waeup/ikoba/browser/templates/loginpage.pt:34
+msgid "login_trouble4"
+msgstr ""
+"You don't have an account because you are a new registrant? Create your "
+"account <strong><a href=\"createaccount\"> here</a></strong>."
+
+#. Default: "You don't have an account because you are a new customer and your record has been created for you? Inititialize your customer account <strong><a href=\"requestpw\"> here</a></strong>."
+#: waeup/ikoba/browser/templates/loginpage.pt:38
+msgid "login_trouble5"
+msgstr ""
+"You don't have an account because you are a new registrant and your record "
+"has been created for you? Inititialize your account <strong><a href="
+"\"requestpw\"> here</a></strong>."
+
+#. Default: "Customers can enter either their customer id, registration number or email address. Officers must enter their user name."
+#: waeup/ikoba/browser/templates/loginpage.pt:7
+msgid "identifier_hint"
+msgstr ""
+"Registrants can enter either enter their registration id, registration "
+"number or email address. Officers must enter their user name."
+
+#: waeup/ikoba/customers/batching.py:142
+msgid "Customer record created"
+msgstr "Registration record created"
+
+#: waeup/ikoba/customers/batching.py:60
+msgid "Customer Processor"
+msgstr "Registrant Processor"
+
+#: waeup/ikoba/customers/browser.py:1085
+msgid "Customer Documents"
+msgstr "Registrant Documents"
+
+#: waeup/ikoba/customers/browser.py:1520
+msgid "Customer Contracts"
+msgstr "Registrant Contracts"
+
+#: waeup/ikoba/customers/browser.py:162 waeup/ikoba/customers/browser.py:205
+#: waeup/ikoba/customers/browser.py:563 waeup/ikoba/customers/browser.py:575
+msgid "No customer found."
+msgstr "No registrant found."
+
+#: waeup/ikoba/customers/browser.py:174 waeup/ikoba/customers/viewlets.py:180
+msgid "Manage customer section"
+msgstr "Manage registration section"
+
+#: waeup/ikoba/customers/browser.py:233 waeup/ikoba/customers/viewlets.py:188
+msgid "Add customer"
+msgstr "Add registrant"
+
+#: waeup/ikoba/customers/browser.py:236
+msgid "Create customer record"
+msgstr "Create registration record"
+
+#: waeup/ikoba/customers/browser.py:241
+msgid "Customer created."
+msgstr "Registration record created."
+
+#: waeup/ikoba/customers/browser.py:474
+msgid "Customer account has been activated."
+msgstr "Registrant account has been activated."
+
+#: waeup/ikoba/customers/browser.py:494
+msgid "Customer account has been deactivated."
+msgstr "Registrant account has been deactivated."
+
+#: waeup/ikoba/customers/browser.py:610
+msgid "Create customer account"
+msgstr "Create registrant account"
+
+#: waeup/ikoba/customers/browser.py:648
+msgid "You have successfully created a customer account for the"
+msgstr "You have successfully created a registrant account for the"
+
+#: waeup/ikoba/customers/browser_templates/createaccount.pt:19
+msgid ""
+"A customer record will be created and your login credentials will be sent to "
+"the email address given above. To be able to proceed you must provide a "
+"valid email address!"
+msgstr ""
+"A registration record will be created and your login credentials will be "
+"sent to the email address given above. To be able to proceed you must "
+"provide a valid email address!"
+
+#. Default: "Ikoba is creating a temporary customer password which will replace the original password chosen by the customer. The password will be valid for ${minutes} minutes. The customer can't login during this time period. After expiration the customer can login with the original password again."
+#: waeup/ikoba/customers/browser_templates/loginasstep1.pt:6
+msgid "login_as_intro_1"
+msgstr ""
+"Ikoba is creating a temporary registrant password which will replace the "
+"original password chosen by the registrant. The password will be valid for "
+"${minutes} minutes. The registrant can't login during this time period. "
+"After expiration the registrant can login with the original password again."
+
+#: waeup/ikoba/customers/browser_templates/requestpw.pt:19
+msgid ""
+"Your customer record will be looked up and your login credentials will be "
+"sent to the email address given above. To be able to proceed you must "
+"provide a valid email address!"
+msgstr ""
+"Your registration record will be looked up and your login credentials will "
+"be sent to the email address given above. To be able to proceed you must "
+"provide a valid email address!"
+
+#: waeup/ikoba/customers/contracts.py:147
+#: waeup/ikoba/customers/documents.py:162
+msgid "Customer has not yet been approved."
+msgstr "Registration has not yet been approved."
+
+#: waeup/ikoba/customers/interfaces.py:96
+#: waeup/ikoba/customers/browser_templates/containerpage.pt:31
+msgid "Customer Id"
+msgstr "Registrant Id"
+
+#: waeup/ikoba/customers/workflow.py:45
+msgid "Create customer"
+msgstr "Create registrant"
+
+#: waeup/ikoba/customers/workflow.py:82
+msgid "Approve customer"
+msgstr "Approve registration"
+
+#: waeup/ikoba/customers/workflow.py:48
+msgid "Customer created"
+msgstr "Registration record created"
+
+#: waeup/ikoba/customers/workflow.py:56
+msgid "Customer registration started"
+msgstr "Registration started"
+
+#: waeup/ikoba/customers/workflow.py:62
+msgid "Customer registration requested"
+msgstr "Registration requested"
+
+#: waeup/ikoba/customers/workflow.py:68
+msgid "Approve customer provisionally"
+msgstr "Approve registration provisionally"
+
+#: waeup/ikoba/customers/workflow.py:69
+msgid "Customer registration provisionally approved"
+msgstr "Registration provisionally approved"
+
+#: waeup/ikoba/customers/workflow.py:76
+msgid "Customer registration finally approved"
+msgstr "Registration finally approved"
+
+#: waeup/ikoba/customers/workflow.py:83
+msgid "Customer registration approved"
+msgstr "Registration approved"
+
+#: waeup/ikoba/customers/workflow.py:89
+msgid "Reject customer"
+msgstr "Reject registration"
+
+#: waeup/ikoba/customers/workflow.py:90
+msgid "Customer registration rejected"
+msgstr "Registration rejected"
+
+#: waeup/ikoba/customers/workflow.py:96 waeup/ikoba/customers/workflow.py:110
+#: waeup/ikoba/customers/workflow.py:117
+msgid "Reset customer"
+msgstr "Reset registration"
+
+#: waeup/ikoba/customers/workflow.py:97 waeup/ikoba/customers/workflow.py:118
+msgid "Reset to initial customer state"
+msgstr "Reset to initial registration state"
+
+#: waeup/ikoba/customers/browser.py:132
+msgid "Find customers"
+msgstr "Find registrants"
+
+#: waeup/ikoba/customers/browser.py:133 waeup/ikoba/customers/browser.py:175
+msgid "Find customer(s)"
+msgstr "Find registrant(s)"
+
+#: waeup/ikoba/customers/browser.py:289
+msgid "You successfully logged in as customer."
+msgstr "You successfully logged in as registrant."
+
+#: waeup/ikoba/customers/viewlets.py:227
+msgid "Login as customer"
+msgstr "Login as registrant"
+
+#: waeup/ikoba/customers/browser.py:106 waeup/ikoba/customers/export.py:130
+#: waeup/ikoba/customers/viewlets.py:54
+msgid "Customers"
+msgstr "Registrants"