Index: main/waeup.ikoba/trunk/src/waeup/ikoba/locales/de/LC_MESSAGES/waeup.ikoba.po
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/locales/de/LC_MESSAGES/waeup.ikoba.po	(revision 12544)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/locales/de/LC_MESSAGES/waeup.ikoba.po	(revision 12545)
@@ -15,5 +15,5 @@
 msgstr ""
 "Project-Id-Version: WAeUP.Ikoba\n"
-"POT-Creation-Date: Sun Feb  1 17:19:40 2015\n"
+"POT-Creation-Date: Mon Feb  2 08:48:41 2015\n"
 "PO-Revision-Date: 2015-02-02 08:31+0100\n"
 "Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
@@ -4883,4 +4883,8 @@
 msgid "Guernsey"
 msgstr "Guernsey"
+
+#: waeup/ikoba/utils/utils.py:110
+msgid "no contract"
+msgstr ""
 
 #: waeup/ikoba/utils/utils.py:155
Index: main/waeup.ikoba/trunk/src/waeup/ikoba/locales/en/LC_MESSAGES/waeup.ikoba.po
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/locales/en/LC_MESSAGES/waeup.ikoba.po	(revision 12544)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/locales/en/LC_MESSAGES/waeup.ikoba.po	(revision 12545)
@@ -15,5 +15,5 @@
 msgstr ""
 "Project-Id-Version: WAeUP.Ikoba\n"
-"POT-Creation-Date: Sun Feb  1 17:19:40 2015\n"
+"POT-Creation-Date: Mon Feb  2 08:48:41 2015\n"
 "PO-Revision-Date: 2014-11-13 14:47+0100\n"
 "Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
@@ -4840,4 +4840,8 @@
 #: waeup/ikoba/utils/countries.py:99
 msgid "Guernsey"
+msgstr ""
+
+#: waeup/ikoba/utils/utils.py:110
+msgid "no contract"
 msgstr ""
 
Index: main/waeup.ikoba/trunk/src/waeup/ikoba/locales/fr/LC_MESSAGES/waeup.ikoba.po
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/locales/fr/LC_MESSAGES/waeup.ikoba.po	(revision 12544)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/locales/fr/LC_MESSAGES/waeup.ikoba.po	(revision 12545)
@@ -15,5 +15,5 @@
 msgstr ""
 "Project-Id-Version: WAeUP.Ikoba\n"
-"POT-Creation-Date: Sun Feb  1 17:19:40 2015\n"
+"POT-Creation-Date: Mon Feb  2 08:48:41 2015\n"
 "PO-Revision-Date: 2015-02-02 08:33+0100\n"
 "Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
@@ -4861,4 +4861,8 @@
 #: waeup/ikoba/utils/countries.py:99
 msgid "Guernsey"
+msgstr ""
+
+#: waeup/ikoba/utils/utils.py:110
+msgid "no contract"
 msgstr ""
 
Index: main/waeup.ikoba/trunk/src/waeup/ikoba/locales/ha/LC_MESSAGES/waeup.ikoba.po
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/locales/ha/LC_MESSAGES/waeup.ikoba.po	(revision 12544)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/locales/ha/LC_MESSAGES/waeup.ikoba.po	(revision 12545)
@@ -15,5 +15,5 @@
 msgstr ""
 "Project-Id-Version: WAeUP.Ikoba\n"
-"POT-Creation-Date: Sun Feb  1 17:19:40 2015\n"
+"POT-Creation-Date: Mon Feb  2 08:48:41 2015\n"
 "PO-Revision-Date: 2012-03-09 07:17+0100\n"
 "Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
@@ -4841,4 +4841,8 @@
 #: waeup/ikoba/utils/countries.py:99
 msgid "Guernsey"
+msgstr ""
+
+#: waeup/ikoba/utils/utils.py:110
+msgid "no contract"
 msgstr ""
 
Index: main/waeup.ikoba/trunk/src/waeup/ikoba/locales/ig/LC_MESSAGES/waeup.ikoba.po
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/locales/ig/LC_MESSAGES/waeup.ikoba.po	(revision 12544)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/locales/ig/LC_MESSAGES/waeup.ikoba.po	(revision 12545)
@@ -15,5 +15,5 @@
 msgstr ""
 "Project-Id-Version: WAeUP.Ikoba\n"
-"POT-Creation-Date: Sun Feb  1 17:19:40 2015\n"
+"POT-Creation-Date: Mon Feb  2 08:48:41 2015\n"
 "PO-Revision-Date: 2012-03-09 07:17+0100\n"
 "Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
@@ -4841,4 +4841,8 @@
 #: waeup/ikoba/utils/countries.py:99
 msgid "Guernsey"
+msgstr ""
+
+#: waeup/ikoba/utils/utils.py:110
+msgid "no contract"
 msgstr ""
 
Index: main/waeup.ikoba/trunk/src/waeup/ikoba/locales/waeup.ikoba.pot
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/locales/waeup.ikoba.pot	(revision 12544)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/locales/waeup.ikoba.pot	(revision 12545)
@@ -15,5 +15,5 @@
 msgstr ""
 "Project-Id-Version: Development/Unknown\n"
-"POT-Creation-Date: Sun Feb  1 17:19:40 2015\n"
+"POT-Creation-Date: Mon Feb  2 08:48:41 2015\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
@@ -4934,4 +4934,8 @@
 msgstr ""
 
+#: waeup/ikoba/utils/utils.py:110
+msgid "no contract"
+msgstr ""
+
 #: waeup/ikoba/utils/utils.py:155
 msgid ""
Index: main/waeup.ikoba/trunk/src/waeup/ikoba/locales/yo/LC_MESSAGES/waeup.ikoba.po
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/locales/yo/LC_MESSAGES/waeup.ikoba.po	(revision 12544)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/locales/yo/LC_MESSAGES/waeup.ikoba.po	(revision 12545)
@@ -15,5 +15,5 @@
 msgstr ""
 "Project-Id-Version: WAeUP.Ikoba\n"
-"POT-Creation-Date: Sun Feb  1 17:19:40 2015\n"
+"POT-Creation-Date: Mon Feb  2 08:48:41 2015\n"
 "PO-Revision-Date: 2014-12-23 08:09+0100\n"
 "Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
@@ -4840,4 +4840,8 @@
 #: waeup/ikoba/utils/countries.py:99
 msgid "Guernsey"
+msgstr ""
+
+#: waeup/ikoba/utils/utils.py:110
+msgid "no contract"
 msgstr ""
 