Index: main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/locales/ha/LC_MESSAGES/ikobacustom.pcn.po
===================================================================
--- main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/locales/ha/LC_MESSAGES/ikobacustom.pcn.po	(revision 12547)
+++ main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/locales/ha/LC_MESSAGES/ikobacustom.pcn.po	(revision 12547)
@@ -0,0 +1,308 @@
+# #############################################################################
+#
+# Copyright (c) 2003-2004 Zope Corporation and Contributors.
+# All Rights Reserved.
+#
+# This software is subject to the provisions of the Zope Public License,
+# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
+# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
+# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
+# FOR A PARTICULAR PURPOSE.
+#
+# #############################################################################
+msgid ""
+msgstr ""
+"Project-Id-Version: Development/Unknown\n"
+"POT-Creation-Date: Mon Feb  2 08:53:06 2015\n"
+"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
+"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
+"Language-Team: Zope 3 Developers <zope3-dev@zope.org>\n"
+"Language: \n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Generated-By: zope/app/locales/extract.py\n"
+
+#: ikobacustom/pcn/customers/batching.py:38
+msgid "PCN Customer Processor"
+msgstr ""
+
+#: ikobacustom/pcn/customers/batching.py:47
+msgid "PCN Customer JPG Document Processor"
+msgstr ""
+
+#: ikobacustom/pcn/customers/batching.py:56
+msgid "PCN Customer PDF Document Processor"
+msgstr ""
+
+#: ikobacustom/pcn/customers/batching.py:65
+msgid "Retention of Name Contract Processor"
+msgstr ""
+
+#: ikobacustom/pcn/customers/batching.py:74
+msgid "Registration of Premises Contract Processor"
+msgstr ""
+
+#: ikobacustom/pcn/customers/browser.py:43
+msgid "Birth certificate is missing. "
+msgstr ""
+
+#: ikobacustom/pcn/customers/browser.py:45
+msgid "Passport picture is missing."
+msgstr ""
+
+#: ikobacustom/pcn/customers/export.py:32
+msgid "PCN Customers"
+msgstr ""
+
+#: ikobacustom/pcn/customers/export.py:40
+msgid "PCN Customer JPG Documents"
+msgstr ""
+
+#: ikobacustom/pcn/customers/export.py:48
+msgid "PCN Customer PDF Documents"
+msgstr ""
+
+#: ikobacustom/pcn/customers/export.py:57
+msgid "Retention of Name Contracts"
+msgstr ""
+
+#: ikobacustom/pcn/customers/export.py:66
+msgid "Registration of Premises Contracts"
+msgstr ""
+
+#: ikobacustom/pcn/customers/fileviewlets.py:148
+#: ikobacustom/pcn/customers/fileviewlets.py:149
+msgid "PDF File"
+msgstr ""
+
+#: ikobacustom/pcn/customers/fileviewlets.py:173
+#: ikobacustom/pcn/customers/fileviewlets.py:174
+msgid "PDF Scan"
+msgstr ""
+
+#: ikobacustom/pcn/customers/fileviewlets.py:48
+msgid "Birth Certificate"
+msgstr ""
+
+#: ikobacustom/pcn/customers/fileviewlets.py:60
+msgid "Birth Certificate (pdf only)"
+msgstr ""
+
+#: ikobacustom/pcn/customers/fileviewlets.py:92
+#: ikobacustom/pcn/customers/fileviewlets.py:93
+#: ikobacustom/pcn/customers/fileviewlets.py:117
+#: ikobacustom/pcn/customers/fileviewlets.py:118
+msgid "Sample Scan"
+msgstr ""
+
+#: ikobacustom/pcn/customers/interfaces.py:102
+#: ikobacustom/pcn/customers/interfaces.py:107
+#: ikobacustom/pcn/customers/interfaces.py:212
+msgid "Residential Address"
+msgstr ""
+
+#: ikobacustom/pcn/customers/interfaces.py:112
+msgid "Work Address"
+msgstr ""
+
+#: ikobacustom/pcn/customers/interfaces.py:117
+msgid "Work Email Address"
+msgstr ""
+
+#: ikobacustom/pcn/customers/interfaces.py:123
+msgid "Work Phone"
+msgstr ""
+
+#: ikobacustom/pcn/customers/interfaces.py:129
+#: ikobacustom/pcn/customers/interfaces.py:193
+msgid "Categories of Practice"
+msgstr ""
+
+#: ikobacustom/pcn/customers/interfaces.py:136
+#: ikobacustom/pcn/customers/interfaces.py:222
+msgid "Superintendent"
+msgstr ""
+
+#: ikobacustom/pcn/customers/interfaces.py:137
+msgid "Tick box if you are a superintendent pharamcist."
+msgstr ""
+
+#: ikobacustom/pcn/customers/interfaces.py:153
+msgid "Reason for rejection"
+msgstr ""
+
+#: ikobacustom/pcn/customers/interfaces.py:163
+#: ikobacustom/pcn/customers/interfaces.py:278
+msgid "Options/Fees"
+msgstr ""
+
+#: ikobacustom/pcn/customers/interfaces.py:188
+msgid "Name and  Address of Pharmaceutical Premises"
+msgstr ""
+
+#: ikobacustom/pcn/customers/interfaces.py:200
+msgid "Last Premises Certificate"
+msgstr ""
+
+#: ikobacustom/pcn/customers/interfaces.py:201
+msgid ""
+"If an old premises, state the last premises certificate number issued with "
+"date."
+msgstr ""
+
+#: ikobacustom/pcn/customers/interfaces.py:206
+msgid "Date of Qualification"
+msgstr ""
+
+#: ikobacustom/pcn/customers/interfaces.py:217
+msgid "Last Annual License Number"
+msgstr ""
+
+#: ikobacustom/pcn/customers/interfaces.py:223
+msgid "Tick box if you were a superintendent pharamcist last year."
+msgstr ""
+
+#: ikobacustom/pcn/customers/interfaces.py:228
+msgid "Full Time Employment Address"
+msgstr ""
+
+#: ikobacustom/pcn/customers/interfaces.py:229
+msgid ""
+"Enter work address if you were not a superintendent pharamcist last year."
+msgstr ""
+
+#: ikobacustom/pcn/customers/interfaces.py:234
+msgid "Pharmacist Directors"
+msgstr ""
+
+#: ikobacustom/pcn/customers/interfaces.py:235
+#: ikobacustom/pcn/customers/interfaces.py:241
+msgid "Full name of directors and their profession as in Form C.O.7"
+msgstr ""
+
+#: ikobacustom/pcn/customers/interfaces.py:240
+msgid "Other Directors"
+msgstr ""
+
+#: ikobacustom/pcn/customers/interfaces.py:257
+msgid "Inspected"
+msgstr ""
+
+#: ikobacustom/pcn/customers/interfaces.py:258
+msgid "Has the premises been duly inspected?"
+msgstr ""
+
+#: ikobacustom/pcn/customers/interfaces.py:263
+msgid "Recommended"
+msgstr ""
+
+#: ikobacustom/pcn/customers/interfaces.py:264
+msgid "Is the premises recommended?"
+msgstr ""
+
+#: ikobacustom/pcn/customers/interfaces.py:269
+msgid "Name of Official in the State"
+msgstr ""
+
+#: ikobacustom/pcn/customers/interfaces.py:58
+msgid "Date of Birth"
+msgstr ""
+
+#: ikobacustom/pcn/customers/interfaces.py:85
+msgid "State of Origin"
+msgstr ""
+
+#: ikobacustom/pcn/customers/interfaces.py:91
+msgid "State / LGA"
+msgstr ""
+
+#: ikobacustom/pcn/customers/interfaces.py:96
+msgid "Year of Qualification"
+msgstr ""
+
+#: ikobacustom/pcn/customers/utils.py:49
+msgid "JPG Document"
+msgstr ""
+
+#: ikobacustom/pcn/customers/utils.py:50 ikobacustom/pcn/documents/utils.py:29
+msgid "PDF Document"
+msgstr ""
+
+#: ikobacustom/pcn/customers/utils.py:56
+msgid "Retention of Name on the Registrar"
+msgstr ""
+
+#: ikobacustom/pcn/customers/utils.py:57
+msgid "Registration of Premises"
+msgstr ""
+
+#: ikobacustom/pcn/documents/batching.py:32
+msgid "PCN Document Processor"
+msgstr ""
+
+#: ikobacustom/pcn/documents/export.py:32
+msgid "PCN Documents"
+msgstr ""
+
+#: ikobacustom/pcn/documents/utils.py:30
+msgid "HTML Document"
+msgstr ""
+
+#: ikobacustom/pcn/documents/utils.py:31
+msgid "REST Document"
+msgstr ""
+
+#. Default: ""
+#: ikobacustom/pcn/interfaces.py:40
+msgid "Invalid key: ${a}"
+msgstr ""
+
+#: ikobacustom/pcn/products/batching.py:28
+msgid "PCN Product Processor"
+msgstr ""
+
+#: ikobacustom/pcn/utils/utils.py:25
+msgid "Nigeria"
+msgstr ""
+
+#: ikobacustom/pcn/utils/utils.py:26
+msgid "Germany"
+msgstr ""
+
+#: ikobacustom/pcn/utils/utils.py:27
+msgid "United States"
+msgstr ""
+
+#: ikobacustom/pcn/utils/utils.py:28
+msgid "Niger"
+msgstr ""
+
+#: ikobacustom/pcn/utils/utils.py:29
+msgid "Benin"
+msgstr ""
+
+#: ikobacustom/pcn/utils/utils.py:30
+msgid "Cameroon"
+msgstr ""
+
+#: ikobacustom/pcn/utils/utils.py:31
+msgid "United Kingdom"
+msgstr ""
+
+#: ikobacustom/pcn/utils/utils.py:32
+msgid "France"
+msgstr ""
+
+#: ikobacustom/pcn/utils/utils.py:42
+msgid "Euro"
+msgstr ""
+
+#: ikobacustom/pcn/utils/utils.py:43
+msgid "US Dollar"
+msgstr ""
+
+#: ikobacustom/pcn/utils/utils.py:44
+msgid "Naira"
+msgstr ""